package com.pcloud.book.mapper.clickhouse;

import com.pcloud.analysisengine.qrcode.dto.BookScanCountDto;
import com.pcloud.book.group.vo.ListBook4ChannelVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Mapper
@Component
public interface BookMapper {

    List<ListBook4ChannelVO> listBookGroup4Channel(Map<String,Object> params);

    Integer countBookGroup4Channel(Map<String,Object> params);

    List<BookScanCountDto>getBookScanCounts(@Param("list") List<Long>bookIds);

    Integer countBookGroup4AdviserKStore(Map<String, Object> paramMap);

    List<ListBook4ChannelVO> listBookGroup4AdviserKStore(Map<String,Object> params);

}
